<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginLeft="2dp"
    android:layout_marginRight="2dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:orientation="vertical">

        <Button
            android:id="@+id/btn_img"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加图片" />
        <Button
            android:id="@+id/btn_text_div"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加带虚线文本" />

        <Button
            android:id="@+id/btn_text"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加文本" />

        <Button
            android:id="@+id/btn_two_text"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加两列文本" />

        <Button
            android:id="@+id/btn_three_text"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加三列文本" />

        <Button
            android:id="@+id/btn_div"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加虚线" />

        <Button
            android:id="@+id/btn_div_real"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加实线" />

        <Button
            android:id="@+id/btn_qr"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加二维码" />

        <Button
            android:id="@+id/btn_bar"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加条码" />

        <Button
            android:id="@+id/btn_empty"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加三行空行" />

        <Button
            android:id="@+id/btn_small_text"
            style="@style/PrintButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="添加小字体文本" />

        <Button
            android:id="@+id/btn_confirm"
            style="@style/HwButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:text="打印" />

        <TextView
            android:id="@+id/tv_request"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="?attr/colorPrimary"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_result"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </LinearLayout>
</ScrollView>
